## rev-plugins 0.6.1

=== Makefile ===
# -----------------------------------------------------------------------
#
#  Copyright (C) 2003-2013 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------


CPPFLAGS += -I. -fPIC -D_REENTRANT
CXXFLAGS += -Wall -O2

all:	zita-reverbs.so

REVERBS_O = reverbs.o reverbs_if.o greverb.o zreverb.o pareq.o exp2ap.o
zita-reverbs.so:	$(REVERBS_O)	
	g++ -shared  -o $@  $(REVERBS_O)

reverbs.o:	ladspaplugin.h reverbs.h greverb.o zreverb.h
reverbs_if.o:	ladspaplugin.h reverbs.h


install:	zita-reverbs.so
	cp  *.so /usr/lib/ladspa

clean:
	rm -rf *~ *.o *.so

## rev-plugins 0.3.1

=== debian/changelog ===
rev-plugins (0.3.1-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Copyright updated to format 1.0
  * Fix homepage in control file
  * Fix URL in copyright file
  * Fix watch file.
  * Bump Standards.
  * Set compatibility to 7.
  * Switch to debhelper 3.0 (quilt).
  * Make description more verbose.

  [ Alessio Treglia ]
  * Add Homepage field.
  * Update team's name, add missing Vcs-* tags.
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Apr 2012 16:21:41 +0200

rev-plugins (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #456162)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 10:39:42 +0000

=== debian/control ===
Source: rev-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 ladspa-sdk
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: git://git.debian.org/pkg-multimedia/rev-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rev-plugins.git

Package: rev-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: gverb-like ladspa plugin
 This reverb is based on gverb by Juhana Sadeharju,
 but the code (now C++) is entirely original.
 Second input for stereo operation,
 and some code to prevent FP denormalisation
 was added.

## rev-plugins 0.6.1

=== debian/changelog ===
rev-plugins (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Aug 2013 23:45:49 +0200

rev-plugins (0.3.1-4) unstable; urgency=low

  * Removed hardening-wrapper.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 16 Jun 2013 14:23:30 +0200

rev-plugins (0.3.1-3) unstable; urgency=low

  * Improved description. (Closes: #698408)
  * Remove obsolete DMUA.
  * Bump Standards.
  * Add VCS canonical URLs.
  * Set dh/compat 9.
  * Fix hardening.
  * Added local-option file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 09 Jun 2013 16:06:04 +0200

=== debian/control ===
Source: rev-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk
Standards-Version: 3.9.4
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rev-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rev-plugins.git

Package: rev-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: reverb LADSPA plugin
 This plugin features two inputs for stereo operation,
 and some code to prevent floating point denormalisation.
 Plugin is based on gverb by Juhana Sadeharju,
 but the code is entirely original.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

## rev-plugins 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -----------------------------------------------------------------------
 #
-#  Copyright (C) 2003-2013 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2003-2014 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,12 +24,12 @@
 
 all:	zita-reverbs.so
 
-REVERBS_O = reverbs.o reverbs_if.o greverb.o zreverb.o pareq.o exp2ap.o
+REVERBS_O = reverbs.o reverbs_if.o zreverb.o pareq.o
 zita-reverbs.so:	$(REVERBS_O)	
 	g++ -shared  -o $@  $(REVERBS_O)
 
-reverbs.o:	ladspaplugin.h reverbs.h greverb.o zreverb.h
-reverbs_if.o:	ladspaplugin.h reverbs.h
+reverbs.o:	ladspaplugin.h reverbs.h zreverb.h pareq.h
+reverbs_if.o:	ladspaplugin.h reverbs.h zreverb.h pareq.h
 
 
 install:	zita-reverbs.so

=== debian/changelog ===
rev-plugins (0.7.1-2) unstable; urgency=medium

  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Added patch to remove LADSPA_PROPERTY_REALTIME. (Closes: #765549)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Sep 2015 10:01:15 +0200

rev-plugins (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 09 Mar 2014 16:34:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  ladspa-sdk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rev-plugins.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rev-plugins.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	REV-plugins-(.*)\.tar\.bz2

## rev-plugins 0.8.1

=== source/Makefile ===
# -----------------------------------------------------------------------
#
#  Copyright (C) 2003-2022 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------


CPPFLAGS += -I. -fPIC -D_REENTRANT
CXXFLAGS += -Wall -O2

all:	zita-reverbs.so

REVERBS_O = revplugins.o reverbs.o zreverb.o pareq.o
zita-reverbs.so:	$(REVERBS_O)	
	$(CXX) -shared  -o $@  $(REVERBS_O)

reverbs.o:	ladspaplugin.h reverbs.h zreverb.h pareq.h
revplugins.o:	ladspaplugin.h reverbs.h zreverb.h pareq.h


install:	zita-reverbs.so
	cp  *.so /usr/lib/ladspa

clean:
	rm -rf *~ *.o *.so

=== debian/changelog ===
rev-plugins (0.8.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:14 +0200

rev-plugins (0.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 0.8.1
  * Refresh patchset
  * d/control:
    + Add me as uploader
    + Bump dh-compat to 13
    + Bump Standards Version to 4.6.1
    + Set RRR: no
  * d/copyright:
    + Switch to GPLv3 and bump copyright year
    + Add myself to the d/ section
    + Use the https protocol
    + Fix path to ladspa.h
  * Remove obsolete d/dirs file
  * d/rules:
    + Build in source dir
    + Create ladspa folder for build
  * Add salsa ci config
  * d/watch: Bump version and use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Oct 2022 23:34:10 +0200

rev-plugins (0.7.1-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 24 Dec 2016 10:04:19 +0100

=== debian/control ===
Source: rev-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/rev-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/rev-plugins
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html
Rules-Requires-Root: no

Package: rev-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: reverb LADSPA plugin
 This plugin features two inputs for stereo operation,
 and some code to prevent floating point denormalisation.
 Plugin is based on gverb by Juhana Sadeharju,
 but the code is entirely original.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Dsource
	
execute_before_dh_auto_install:
	mkdir -p $(CURDIR)/debian/rev-plugins/usr/lib/ladspa

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	REV-plugins-(.*)\.tar\.bz2
